<?php

namespace FiloBlu\CustomerBlocker\Observer\Sales;

use FiloBlu\CustomerBlocker\Helper\DataHelper;

class OrderPlaceBeforeAbstract implements \Magento\Framework\Event\ObserverInterface {

    protected $messageManager;
    protected $helper;

    public function __construct(
        \Magento\Framework\Message\ManagerInterface $messageManager,
        DataHelper $helper
    ) {
        $this->messageManager = $messageManager;
        $this->helper = $helper;
    }

    protected function checkCustomerAddress(\Magento\Framework\Event\Observer $observer, $isPayPalOrder = false)
    {
        // Get order data based on payment method
        if($isPayPalOrder)
        {
            $data = $observer->getEvent()->getQuote()->getShippingAddress()->getData();
        }
        else
        {
            $data = $observer->getEvent()->getOrder()->getShippingAddress()->getData();
        }

        return $this->helper->isAddressToBeBlocked($data);
    }

    public function execute(\Magento\Framework\Event\Observer $observer) {

    }

}